Package com.xebialabs.xlrelease.domain.variables

# Class GlobalVariables

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.variables.GlobalVariables

All Implemented Interfaces:
  `ConfigurationItem`, `InternalMetadata`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="Global variables container", root=CONFIGURATION, versioned=false) public class GlobalVariables extends BaseConfigurationItem implements InternalMetadata

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GLOBAL_VARIABLES`
  `static final String`
  `GLOBAL_VARIABLES_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalVariables()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Variable`
  `addVariable(Variable variable)`
  `Map<String,String>`
  `getPasswordVariableValues()`
  `Map<String,String>`
  `getStringVariableValues()`
  `List<Variable>`
  `getVariables()`
  `Map<String,Variable>`
  `getVariablesByKeys()`
  `void`
  `setVariables(List<Variable> variables)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### GLOBAL_VARIABLES

    public static final String GLOBAL_VARIABLES
    See Also:
      - Constant Field Values

  - ### GLOBAL_VARIABLES_ID

    public static final String GLOBAL_VARIABLES_ID

- ## Constructor Details

  - ### GlobalVariables

    public GlobalVariables()

- ## Method Details

  - ### getVariables

    public List<Variable> getVariables()

  - ### getVariablesByKeys

    public Map<String,Variable> getVariablesByKeys()

  - ### getStringVariableValues

    public Map<String,String> getStringVariableValues()

  - ### getPasswordVariableValues

    public Map<String,String> getPasswordVariableValues()

  - ### setVariables

    public void setVariables(List<Variable> variables)

  - ### addVariable

    public Variable addVariable(Variable variable)